.switchable-setting-block {
    border: solid 1px lightgrey;
    border-radius: 5px;
    margin-bottom: 20px;
    padding-bottom: 10px;
}

.switchable-setting-header-row {
    font-size: 1rem;
    background: rgba(0,0,0,.03);
    display: flex;
    flex-direction: row;
    margin-bottom: 15px;
    border-radius: 5px;
    height: 40px;
}

.switchable-setting-header-title {
    align-self: center;
}

    .switchable-setting-header-title.sub-title {
        font-size: 1rem;
    }

.switchable-setting-header-check {
    align-self: center;
    margin-left: auto;
}

.switchable-setting-group-header {
    background: rgba(0,0,0,.03);
    padding-bottom: 6px;
    padding-left: 1rem;
    font-weight: 600;
    display: inline-block;
    width: 100%;
    padding-top: 5px;
}

.switchable-setting-info-label-div {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.switchable-setting-info-label-div-small {
    margin-top: 5px;
    font-size: smaller;
    color: #3b6bf7;
    text-align: right;
}

.switchable-setting-info-row {
    margin-bottom: 5px;
    margin-top: 5px;
    display: flex;
    flex-direction: row;
    padding-right: 3em;
    padding-left: 1rem;
    align-items: center;
    vertical-align: middle;
    height: 3em;
}

.switchable-setting-info-label {
    align-self: center;
    width: 300px;
    margin-right: 20px;
}

.switchable-setting-info-checkbox {
    margin-left: auto;
    font-size: 20px;
    color: green;
}

.switchable-setting-info-checkbox-middle {
    margin-left: auto;
    margin-right: auto;
    font-size: 20px;
}

.switchable-setting-info-input {
    margin-left: auto;
    width: 5em;
}

label[class~="checkbox-ios"] {
    margin-top: auto;
    margin-bottom: auto;
}

.checkbox-ios {
    display: inline-block;
    height: 28px;
    line-height: 28px;
    margin-right: 10px;
    position: relative;
    vertical-align: middle;
    font-size: 14px;
    user-select: none;
}

    .checkbox-ios .checkbox-ios-switch {
        position: relative;
        display: inline-block;
        box-sizing: border-box;
        width: 56px;
        height: 28px;
        border: 1px solid rgba(0, 0, 0, .1);
        border-radius: 25%/50%;
        vertical-align: middle;
        background: #eee;
        transition: .2s;
    }

        .checkbox-ios .checkbox-ios-switch:before {
            content: '';
            position: absolute;
            top: 1px;
            left: 1px;
            display: inline-block;
            width: 24px;
            height: 24px;
            border-radius: 50%;
            background: white;
            box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
            transition: .15s;
        }

    .checkbox-ios input[type=checkbox] {
        display: block;
        width: 0;
        height: 0;
        position: absolute;
        z-index: -1;
        opacity: 0;
    }

        .checkbox-ios input[type=checkbox]:not(:disabled):active + .checkbox-ios-switch:before {
            box-shadow: inset 0 0 2px rgba(0, 0, 0, .3);
        }

        .checkbox-ios input[type=checkbox]:checked + .checkbox-ios-switch {
            background: limegreen;
        }

        .checkbox-ios input[type=checkbox]:checked + .checkbox-ios-switch-blue {
            background: #4366c8 !important;
        }

        .checkbox-ios input[type=checkbox]:checked + .checkbox-ios-switch:before {
            transform: translateX(28px);
        }

    /* Hover */
    .checkbox-ios input[type="checkbox"]:not(:disabled) + .checkbox-ios-switch {
        cursor: pointer;
        border-color: rgba(0, 0, 0, .3);
    }

    /* Disabled */
    .checkbox-ios input[type=checkbox]:disabled + .checkbox-ios-switch {
        filter: grayscale(70%);
        border-color: rgba(0, 0, 0, .1);
    }

        .checkbox-ios input[type=checkbox]:disabled + .checkbox-ios-switch:before {
            background: #eee;
        }

    /* Focus */
    .checkbox-ios.focused .checkbox-ios-switch:before {
        box-shadow: inset 0px 0px 4px #ff5623;
    }
